USE [NANS21V]
GO

/****** オブジェクト:  UserDefinedFunction [dbo].[Result]    スクリプト日付: 04/24/2014 14:41:40 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Result]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[Result]

GO

/****** オブジェクト: Scalar Function [dbo].[Result] スクリプト日付: 2014/04/24 13:20:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE FUNCTION [dbo].[Result]
(
	@SYUMOKUKUBUN INT,	--ロードレース以外かのチェックで使う。
	@KUMIKYOGIFLG INT,	--表示判断に使う
	@KINOUFLG INT,	--TKU.KINOUFLG。
	@KUMIHOST VARCHAR(32)	--TKU.HOST
)
RETURNS VARCHAR(64)
AS
BEGIN
	DECLARE @return VARCHAR(64)

	IF (@SYUMOKUKUBUN = 9) OR (@SYUMOKUKUBUN = 10) OR (@SYUMOKUKUBUN = 11)	--マラソン？競歩？駅伝？
	BEGIN
		SET @return = ''	--今回は処理をしないので空。ロード対応時に作成してください。
	END
	ELSE
	BEGIN	--次に機能フラグチェック
		IF (@KINOUFLG > 0)
		BEGIN
			IF (@KINOUFLG = 2) AND (@KUMIHOST IS NOT NULL AND @KUMIHOST != '')
			BEGIN
				SET @return = @KUMIHOST	--HOST名を返す。
				RETURN @return
			END
		END

		SELECT @return = MSG.TITLE
			FROM TBL_WEB_USE_ID ID, TBL_WEB_USE_MSG MSG
			WHERE LOWER(TAGNAME) = LOWER('EventState') 
				AND ID.TAGID = MSG.TAGID
				AND MSG.XMLCODE = @KUMIKYOGIFLG
	END

	RETURN @return
END

GO
